Page MenuHomePhabricator

Large thumbnails of "lossless" files return error
Closed, ResolvedPublic

Details

Reference
bz48003

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:32 AM
bzimport set Reference to bz48003.
bzimport added a subscriber: Unknown Object (MLST).
McZusatz created this task.May 2 2013, 3:29 PM

possibly running into the actual resource limits. (if the program that scales images uses too much memory or cpu time, etc it gets killed).

I wonder if there's any way to reduce the used memory/cpu here, as the provided example that fails rendering isn't "too" big. Hence existing folks to run into this more often (visible), but don't know how many of our images are lossless.

(In reply to comment #2)

I wonder if there's any way to reduce the used memory/cpu here, as the
provided
example that fails rendering isn't "too" big. Hence existing folks to run
into
this more often (visible), but don't know how many of our images are
lossless.

Note the lossless/lossy thing isnt really the main reason, it more has to do with how image magick doesnt decompress the whole image all at once for nonprogressive jpeg, but does for other formats.

Its been a long term issue that large progressive jpegs don't thumbnail either.

The fix for this bug is bug 28135. Perhaps this should be duped to one of the vips related bugs (unlesd there is some in between step we could take im not aware of)

greg added a comment.Jul 25 2013, 6:46 PM

(In reply to comment #0)

https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/File-Ulysses_S.
_Grant_from_West_Point_to_Appomattox_partially_restored.png/276px-File-
Ulysses_S._Grant_from_West_Point_to_Appomattox_partially_restored.png
OK
https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/File-Ulysses_S.
_Grant_from_West_Point_to_Appomattox_partially_restored.png/476px-File-
Ulysses_S._Grant_from_West_Point_to_Appomattox_partially_restored.png
Not OK
(Could not find an appropriate tiff file by now)

Those two files (the pngs) look good to me now, after we've deployed VipsScaler on all wikis.

The large gif one (https://upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Mejeri1.gif/577px-Mejeri1.gif) still fails, though.

Partially fixed!

In fact, I'll just mark this bug fixed and open a new one for using VipsScaler for gifs also (right now VipsScaler is only used on large pngs).

greg added a comment.Jul 25 2013, 6:48 PM

Bug 52043